ToolTipBuilder (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart

## Class ToolTipBuilder

- java.lang.Object
- - com.twosigma.beakerx.chart.ToolTipBuilder

-     public abstract class ToolTipBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolTipBuilder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `call(java.lang.Object x)`
    `java.lang.Object` | `call(java.lang.Object x, java.lang.Object y)`
    `java.lang.Object` | `call(java.lang.Object x, java.lang.Object y, java.lang.Object base)`
    `java.lang.Object` | `call(java.lang.Object x, java.lang.Object y, java.lang.Object base, java.lang.Object index)`
    `java.lang.Object` | `call(java.lang.Object x, java.lang.Object y, java.lang.Object base, java.lang.Object index, java.lang.Object displayName)`
    `abstract int` | `getMaximumNumberOfParameters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolTipBuilder

          public ToolTipBuilder()

  - ### Method Detail

    - #### call

          public java.lang.Object call(java.lang.Object x)

    - #### call

          public java.lang.Object call(java.lang.Object x,
                                       java.lang.Object y)

    - #### call

          public java.lang.Object call(java.lang.Object x,
                                       java.lang.Object y,
                                       java.lang.Object base)

    - #### call

          public java.lang.Object call(java.lang.Object x,
                                       java.lang.Object y,
                                       java.lang.Object base,
                                       java.lang.Object index)

    - #### call

          public java.lang.Object call(java.lang.Object x,
                                       java.lang.Object y,
                                       java.lang.Object base,
                                       java.lang.Object index,
                                       java.lang.Object displayName)

    - #### getMaximumNumberOfParameters

          public abstract int getMaximumNumberOfParameters()